Subject: [IPsec] Regarding aes-xcbc hashing using multiple ring entries

From: sudheer anumolu <[email-masked]>
Date: Thu, 21 Jan 2010 19:35:13 +0530

Hi

I would like to have information on aes-xcbc-mac96 hashing using
multiple ring entries.

I need to implement MD5, SHA-1 and AES-XCBC-MAC96 hashing algorithms
using multiple ring entries of the IPSec block.

For md5 and sha-1 the hash results i get, tally with that of results
generated when done with single ring entry. But for aes-xcbc-mac96, it
doesn't. I doubt if the multiple ring entries method can be applied
for aes-xcbc-mac96 as it also involves encryption and the previous
hash value to be considered as hash-key in the next iteration would be
a encrypted one.

Please let me know if any more information required.

Thanks in advance
Sudheer